import 'package:json_annotation/json_annotation.dart';
import 'package:equatable/equatable.dart';
import 'package:project_telephony/model/phone_num_model.dart';
part 'mass_list_model.g.dart';


@JsonSerializable()
class MassListModel extends Equatable{
    final String title;
    final String time;
      bool state;
    final List<PhoneNumModel> list;
    factory MassListModel.fromJson(Map<String, dynamic> json) =>_$MassListModelFromJson(json);


     MassListModel({
    required this.title,
    required this.time,
    required this.state,
    required this.list,
  });
    @override
    List<Object?> get props => [title,time,state,list];
}